Page MenuHomePhabricator

create gadget for showing padlock on protected item pages
Closed, ResolvedPublic

Description

Katie worked on a script that shows a padlock on protected items. It needs reviewing and then proposing to the community as a gadget to be enabled by default on Wikidata. This will be a temporary solution until we have the full solution in Wikibase or Core.

Event Timeline

Lydia_Pintscher assigned this task to aude.
Lydia_Pintscher raised the priority of this task from to Normal.
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher added a subscriber: Lydia_Pintscher.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2015, 2:08 PM

@aude: Can you add a link to your code?

aude added a comment.Mar 13 2015, 11:04 AM

code is on test.wikidata and can be enabled as a gadget:

https://test.wikidata.org/wiki/MediaWiki:Gadget-ProtectionIndicators.js and https://test.wikidata.org/wiki/MediaWiki:Gadget-ProtectionIndicators.css

https://test.wikidata.org/wiki/Q1017 - protected item to test it

surely the gadget could be further improved or tweaks, but think it's already useful.

aude added a comment.Mar 13 2015, 11:12 AM

this can also be tested on Wikidata, by putting in your common.js (e.g. "User:Aude/common.js"):

mw.loader.using([], function() {
importStylesheet('User:Aude/protection.css')
importScript('User:Aude/protection.js');
});

a list of protected pages to try it on:

https://www.wikidata.org/wiki/Special:ProtectedPages

Community discussion started at https://www.wikidata.org/wiki/Wikidata:Project_chat#Protection_indicators.
@aude: would you prefer that the script be moved from your userspace, or that a new MediaWiki page be created?

aude added a comment.Mar 16 2015, 12:35 PM

@Ricordisamoa I have no preference.

one question with the script... It works for all namespaces. Do we want that or just for entity namespaces? I'm thinking perhaps we want that (at least to start with). It might not be necessary or desired to show protection status for the Main page (e.g.) or user pages.

Can somebody explain when we consider this task as done? @aude @Lydia_Pintscher

When it is a gadget on Wikidata.

@Ricordisamoa: Nothing on Project chat. Do you think we can interpret this as "ok to go ahead"? Do you want to do it or should I try to find someone else?

I like the script, but I'd prefer that it be provisionally enabled for entity namespaces only.

aude added a comment.Apr 7 2015, 12:56 PM

@Ricordisamoa agree and can modify the script accordingly.

aude moved this task from Doing to Review on the Wikidata-Sprint-2015-04-07 board.Apr 7 2015, 1:08 PM
Ricordisamoa closed this task as Resolved.Apr 8 2015, 1:33 AM

Moved pages and announced on Project Chat.

New tasks may be created about making it an extension or enabling it for non-entities.

Ricordisamoa moved this task from Review to Done on the § Wikidata-Sprint-2015-03-11 board.
Ricordisamoa moved this task from Review to Done on the § Wikidata-Sprint-2015-03-24 board.